Subject: Re: [Ace] [EXTERNAL] Lars Eggert's No Objection on draft-ietf-ace-oauth-authz-38: (with COMMENT)

From: Seitz Ludwig <[email-masked]>
Date: Fri, 16 Apr 2021 06:28:01 +0000

Hello Lars,

Thank you for reviewing this draft and sorry for the long response time.

Version 39 addresses your comment (and of course the nits you pointed out), basically clarifying that the recommendation against HTTP is limited to constrained environments.
https://datatracker.ietf.org/doc/html/draft-ietf-ace-oauth-authz-39

Regards,

Ludwig

> -----Original Message-----
> From: Lars Eggert via Datatracker <[email-masked]>
> Sent: den 25 mars 2021 11:07
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [EXTERNAL] Lars Eggert's No Objection on draft-ietf-ace-oauth-
> authz-38: (with COMMENT)
> 
> Lars Eggert has entered the following ballot position for
> draft-ietf-ace-oauth-authz-38: No Objection
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ace-oauth-authz/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Section 1, paragraph 3, comment:
> >    of processing capabilities, available memory, etc.  For web
> >    applications on constrained nodes, this specification RECOMMENDS the
> >    use of the Constrained Application Protocol (CoAP) [RFC7252] as
> >    replacement for HTTP.
> 
> Since the rest of this section is pretty careful in explaining that there is a
> capability spectrum for IoT devices, I was surprised about this broad
> recommendation against HTTP (which is also repeated elsewhere in the
> text.)
> 
> -------------------------------------------------------------------------------
> All comments below are very minor change suggestions that you may choose
> to incorporate in some way (or ignore), as you see fit. There is no need to let
> me know what you did with these suggestions.
> 
> Stewart Bryant's Gen-ART review
> (https://mailarchive.ietf.org/arch/msg/gen-art/04lPOKG404s-LNfVm40ZE8s-
> Wig/)
> contained some nits that I wanted to make sure you were aware of.
> 
> "Table of Contents", paragraph 1, nit:
> > Table of Contents
> 
> Some sections don't use title case.
> 
> Section 4, paragraph 9, nit:
> -    In Bluetooth Low Energy, for example, advertisements are broadcasted
> -                                                                      --
> +    In Bluetooth Low Energy, for example, advertisements are broadcast
> 
> Section 5.3, paragraph 15, nit:
> -    freshness nevetheless, the RS has included a "cnonce" parameter (see
> +    freshness nevertheless, the RS has included a "cnonce" parameter (see
> +                  +
> 
> "Appendix E.", paragraph 33, nit:
> -       as playload the Access Information, including the access token and
> -           -
> +       as payload the Access Information, including the access token
> + and
> 
>